Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Foutmelding bij (automatische) update  (gelezen 1863 keer)

pjjb

  • Gast
Foutmelding bij (automatische) update
« Gepost op: 2006/06/23, 20:58:19 »
Ik heb enkele dagen Ubuntu-Dapper draaien.
Kreeg reeds enkele updates.
Eergisteren leidde dergelijke (automatische) update tot de volgende foutmelding:

"
Pakketlijsten worden ingelezen... Fout!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: De pakketlijsten of het statusbestand konden of niet ontleed, of niet geopend worden.
"
Heb vanuit diverse info vergeefs de volgende 'oplossingen' uitgeprobeerd:
- apt-get clean && apt-get update
E: Kon het vergrendelingsbestand '/var/cache/apt/archives/lock' niet openen - open (13 Toegang geweigerd)
E: Kon de ophaalmap niet vergrendelen

- sudo rm /var/lib/apt/lists/* -vf
Password:
`/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_dapper_main_binary-i386_Packages' verwijderd
`/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_dapper_Release' verwijderd
... en een hele reeks andere ...verwijderd

- sudo apt-get update
Genegeerd cdrom://Ubuntu 6.06 _Dapper Drake_ - Release i386 (20060531) dapper Release.gpg
Genegeerd cdrom://Ubuntu 6.06 _Dapper Drake_ - Release i386 (20060531) dapper Release
...
Pakketlijsten worden ingelezen... Fout!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/dpkg/status
E: De pakketlijsten of het statusbestand konden of niet ontleed, of niet geopend worden.

- apt-cdrom add
...
De schijf heet:
'Ubuntu 6.06 _Dapper Drake_ - Release i386 (20060531)'
Pakketlijsten worden gekopieerd...gpgv: Signature made wo 31 mei 2006 05:06:22 CEST using DSA key ID FBB75451
gpgv: Good signature from "Ubuntu CD Image Automatic Signing Key "
E: Kon het bestand /var/lib/apt/lists/Ubuntu%206.06%20%5fDapper%20Drake%5f%20-%20Release%20i386%20(20060531)_dists_dapper_Release niet openen - open (13 Toegang geweigerd)
E: Kon het bestand /var/lib/apt/lists/Ubuntu%206.06%20%5fDapper%20Drake%5f%20-%20Release%20i386%20(20060531)_dists_dapper_Release.gpg niet openen - open (13 Toegang geweigerd)

....

Heeft iemand nog een nieuwe suggestie ... (die werkt...)

Nog wat geprobeerd:


gksudo update-manager -d
xauth: /tmp/libgksu1.2-H89R5g/.Xauthority
cmd[0]: /usr/bin/sudo
cmd[1]: -H
cmd[2]: -S
cmd[3]: -p
cmd[4]: GNOME_SUDO_PASS
cmd[5]: -u
cmd[6]: root
cmd[7]: --
cmd[8]: update-manager
buffer: -/usr/lib/python2-
No password prompt found; we'll assume we don't need a password.
/usr/lib/python2.4/site-packages/apt/__init__.py:17: FutureWarning: apt API not stable yet
  warnings.warn("apt API not stable yet", FutureWarning)
Traceback (most recent call last):
  File "/usr/bin/update-manager", line 71, in ?
    app.main(options)
  File "/usr/lib/python2.4/site-packages/UpdateManager/UpdateManager.py", line 749, in main
    self.fillstore()
  File "/usr/lib/python2.4/site-packages/UpdateManager/UpdateManager.py", line 599, in fillstore
    self.initCache()
  File "/usr/lib/python2.4/site-packages/UpdateManager/UpdateManager.py", line 692, in initCache
    self.cache = MyCache(progress)
  File "/usr/lib/python2.4/site-packages/UpdateManager/UpdateManager.py", line 82, in __init__
    apt.Cache.__init__(self, progress)
  File "/usr/lib/python2.4/site-packages/apt/cache.py", line 36, in __init__
    self.open(progress)
  File "/usr/lib/python2.4/site-packages/apt/cache.py", line 49, in open
    self._cache = apt_pkg.GetCache(progress)
SystemError: E:Encountered a section with no Package: header, E:Problem with MergeList /var/lib/dpkg/status, E:De pakketlijsten of het statusbestand konden of niet ontleed, of niet geopend worden.
Unhandled exception in thread started by
Error in sys.excepthook:

Original exception was:
xauth: /tmp/libgksu1.2-H89R5g/.Xauthority
xauth_env: /home/paul/.Xauthority
dir: /tmp/libgksu1.2-H89R5g


pjjb

budster

  • Gast
Foutmelding bij (automatische) update
« Reactie #1 Gepost op: 2006/06/23, 21:00:31 »
Post je /etc/apt/sources.list eens.

pjjb

  • Gast
Foutmelding bij (automatische) update
« Reactie #2 Gepost op: 2006/06/23, 21:23:01 »
Citaat van: budster
Post je /etc/apt/sources.list eens.
##deb cdrom:[Ubuntu 5.10 _Breezy Badger_ - Release i386 (20051012)]/ breezy main restricted
# deb-src http://be.archive.ubuntu.com/ubuntu/ dapper main restricted

## Uncomment the following two lines to add software from the 'universe'
## repository.
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
# deb-src http://be.archive.ubuntu.com/ubuntu/ dapper universe

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb cdrom:[Ubuntu 6.06 _Dapper Drake_ - Release i386 (20060531)]/ dapper main restricted
deb http://be.archive.ubuntu.com/ubuntu/ dapper-backports main restricted universe multiverse
# deb-src http://be.archive.ubuntu.com/ubuntu/ dapper-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu dapper-security main restricted
# deb-src http://security.ubuntu.com/ubuntu dapper-security main restricted



deb http://archive.ubuntu.com/ubuntu/ dapper universe main restricted




pjjb

Offline zappa

  • Lid
    • http://www.c3c.be
  • Steunpunt: Nee
Foutmelding bij (automatische) update
« Reactie #3 Gepost op: 2006/06/23, 21:56:14 »
Heb ook eens ooit gehad dat daar iets niet pluis was. LET WEL dat is een belangrijk bestand... Gooi het niet zomaar weg (neem back-up). Het bevat alles wat op je systeem staat. Ik had daar ook eens fouten in, wat rare tekens en zo. IMHO niet door een slechte hd, maar kom, heb het opgelost door de file eens door te nemen en alles wat abnormaal was te corrigeren.

Je hebt hier Encountered a section with no Package: header

Dus als dit een typische entry is:

Package: emacs21-bin-common
Status: install ok installed
Priority: optional
Section: editors
Installed-Size: 388
Maintainer: Rob Browning
Architecture: i386
Source: emacs21
Version: 21.4a-3ubuntu2
Replaces: emacs21 (<< 21.2-4), emacs21-common (<< 21.3+1-4)
Depends: emacs21-common (= 21.4a-3ubuntu2), libc6 (>= 2.3.4-1)
Description: The GNU Emacs editor's shared, architecture dependent files
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the architecture dependent infrastructure
 that's shared by emacs21 and emacs21-nox.


Vermoed ik dat er ergens een naam ontbreekt op de eerst lijn. Hopelijk heb je nog niet te veel ge

pjjb

  • Gast
Foutmelding bij (automatische) update
« Reactie #4 Gepost op: 2006/06/23, 22:09:46 »
Citaat van: zappa
Heb ook eens ooit gehad dat daar iets niet pluis was. LET WEL dat is een belangrijk bestand... Gooi het niet zomaar weg (neem back-up). Het bevat alles wat op je systeem staat. Ik had daar ook eens fouten in, wat rare tekens en zo. IMHO niet door een slechte hd, maar kom, heb het opgelost door de file eens door te nemen en alles wat abnormaal was te corrigeren.

Je hebt hier Encountered a section with no Package: header

Dus als dit een typische entry is:
...

Vermoed ik dat er ergens een naam ontbreekt op de eerst lijn. Hopelijk heb je nog niet te veel ge

Offline zappa

  • Lid
    • http://www.c3c.be
  • Steunpunt: Nee
Foutmelding bij (automatische) update
« Reactie #5 Gepost op: 2006/06/23, 22:12:31 »
Uw post zag er niet newbie, uit :P

Doe in een terminal
sudo gedit /var/lib/dpkg/status

pjjb

  • Gast
Foutmelding bij (automatische) update
« Reactie #6 Gepost op: 2006/06/23, 23:11:11 »
Citaat van: zappa
Uw post zag er niet newbie, uit :P

Doe in een terminal
sudo gedit /var/lib/dpkg/status
Morgen meer nieuws, ik ga nu nog wat lezen in ROTH's 'Komplot tegen Amerika'


Toch al dank voor de suggesties.


Intussen vandaag:

sudo gedit /var/lib/dpkg/status geeft:

"Kan het bestand /var/lib/dpkg/status niet openen
Niet in staat de tekencodering automatisch te vinden.
Ga na of u niet probeert een binair bestand te openen.
Selecteer een tekencode uit het menu en probeer opnieuw.
"

Poging was in huidige taalomgeving UTF-8
maar ook met het alternatief Westers (ISO-8859-15)
zelfde foutmelding

Heb bestand /var/.../status opgezocht.
Kon ook 'terplaatse' niet gelezen worden.
Maar er stond met dezelfde benaderings- en wijzigingsdatum een bestand status-old dat wel te lezen is.
Heb mv status statusold
en mv status-old status
gedaan
'nieuwe' status is wel te lezen en werkt ook met synaptic.
Ik ga nu met deze nieuwe status eens kijken of update ook werkt.
Verder nieuws volgt.

pjjb

  • Gast
Foutmelding bij (automatische) update
« Reactie #7 Gepost op: 2006/06/24, 12:14:17 »
Uiteindelijk:

1)
apt-get update
E: Kon het vergrendelingsbestand '/var/lib/apt/lists/lock' niet openen - open (13 Toegang geweigerd)
E: Kon de lijst-map niet vergrendelen

2)
paul@ACER-TM800:~$ sudo apt-get update
Ophalen:1 http://security.ubuntu.com dapper-security Release.gpg [189B]
Ophalen:2 http://archive.ubuntu.com dapper Release.gpg [189B]
Geraakt http://security.ubuntu.com dapper-security Release
Geraakt http://archive.ubuntu.com dapper Release
Geraakt http://security.ubuntu.com dapper-security/main Packages
Geraakt http://archive.ubuntu.com dapper/universe Packages
Geraakt http://security.ubuntu.com dapper-security/restricted Packages
Geraakt http://archive.ubuntu.com dapper/main Packages
Geraakt http://archive.ubuntu.com dapper/restricted Packages
Ophalen:3 http://be.archive.ubuntu.com dapper-backports Release.gpg [189B]
Ophalen:4 http://be.archive.ubuntu.com dapper-backports Release [19,6kB]
Ophalen:5 http://be.archive.ubuntu.com dapper-backports/main Packages [14B]
Ophalen:6 http://be.archive.ubuntu.com dapper-backports/restricted Packages [14B]
Ophalen:7 http://be.archive.ubuntu.com dapper-backports/universe Packages [14B]
Ophalen:8 http://be.archive.ubuntu.com dapper-backports/multiverse Packages [14B]
19,9kB opgehaald in 5s (3627B/s)
Pakketlijsten worden ingelezen... Klaar

Dus in principe zou de zaak opgelost zijn...

Met dank voor de diverse suggesties!
(Ik ga hier nog terugkeren met mijn vraagjes, 'problemen', ... soms ergernissen...)

pjjb

Offline zappa

  • Lid
    • http://www.c3c.be
  • Steunpunt: Nee
Foutmelding bij (automatische) update
« Reactie #8 Gepost op: 2006/06/24, 13:14:23 »
Natuurlijk sudo :P
Blijkbaar was er wel meer fout, maar idd, lijkt nu allemaal OK.